from string import Template

header_comment = Template("""# This file is generated by uxsdcap $version.
# https://github.com/duck2/uxsdcxx
# Modify only if your build process doesn't involve regenerating this file.
#
# Cmdline: $cmdline
# Input file: $input_file
# md5sum of input file: $md5""")

atomic_builtins = {
	"string": "Text",
	"boolean": "bool",
	"float": "Float32",
	"decimal": "Int32",
	"integer": "Int32",
	"nonPositiveInteger": "Int32",
	"negativeInteger": "Int32",
	"long": "Int64",
	"int": "Int32",
	"short": "Int16",
	"byte": "Int8",
	"nonNegativeInteger": "UInt32",
	"unsignedLong": "UInt64",
	"unsignedInt": "UInt32",
	"unsignedShort": "UInt16",
	"unsignedByte": "UInt8",
	"positiveInteger": "UInt32",
	"double": "Float64",
	"IDREF": "Text",
}
